/*
 * Copyright 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include "device/include/controller.h"

static const char GD_CONTROLLER_MODULE[] = "gd_controller_module";

namespace bluetooth {
namespace shim {

const controller_t* controller_get_interface();

void controller_clear_event_mask();
bool controller_is_write_link_supervision_timeout_supported();

}  // namespace shim
}  // namespace bluetooth
